<?php

/**
Copyright La boîte à pain (2018)

contact@souke.fr

Ce logiciel est un programme informatique servant à aider les producteurs
à distribuer leur production en circuits courts.

Ce logiciel est régi par la licence CeCILL soumise au droit français et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilité au code source et des droits de copie,
de modification et de redistribution accordés par cette licence, il n'est
offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
seule une responsabilité restreinte pèse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concédants successifs.

A cet égard  l'attention de l'utilisateur est attirée sur les risques
associés au chargement,  à l'utilisation,  à la modification et/ou au
développement et à la reproduction du logiciel par l'utilisateur étant
donné sa spécificité de logiciel libre, qui peut le rendre complexe à
manipuler et qui le réserve donc à des développeurs et des professionnels
avertis possédant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
logiciel à leurs besoins dans des conditions permettant d'assurer la
sécurité de leurs systèmes et ou de leurs données et, plus généralement,
à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
pris connaissance de la licence CeCILL, et que vous en avez accepté les
termes.
*/

use common\helpers\Price;
use yii\helpers\Html;

$this->setTitle('Parrainage') ;
$this->addBreadcrumb($this->getTitle()) ;

$producerModule = $this->getProducerModule();
$sponsorshipLink = $producerModule->getSolver()->getSponsorshipLink($producer);

?>

<?php if($producer->getSponsoredBy()): ?>
    <div class="callout callout-info">
        <i class="fa fa-users"></i>
        Vous avez été parrainé par le producteur <strong><?= Html::encode($producer->getSponsoredBy()->getName()) ?></strong>.
        <?php if($producerModule->getSolver()->isFreeBillingPeriodSponsorship($producer)): ?>
            <br /><i class="fa fa-gift"></i>
            Vous bénéficiez donc de 3 mois offerts et n'aurez pas de facture <em>Souke</em> avant le <?= $producerModule->getSolver()->getDateEndFreeBillingPeriodSponsorship($producer)->format('d/m/Y'); ?>.
        <?php endif; ?>
    </div>
<?php endif; ?>

<div class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">
            <span class="glyphicon glyphicon-link"></span>
            Votre lien de partage
        </h3>
    </div>
    <div class="panel-body">
        <strong><?= $sponsorshipLink ?></strong>
        <a class="btn btn-xs btn-default" id="sponsorship-link-copy" href="<?= $sponsorshipLink ?>" title="Copier le lien dans le presse-papier">
            <span class="glyphicon glyphicon-copy"></span>
        </a>
    </div>
</div>

<div class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">
            <i class="fa fa-info"></i>
            Comment ça marche ?
        </h3>
    </div>
    <div class="panel-body">
        <p>
            Partagez votre lien de parrainage avec les producteurs que vous souhaitez parrainer. Quand un de ces
            producteurs s'inscrit en suivant ce lien, il devient votre filleul et obtenez tous les deux une récompense :
        </p>
        <ul>
            <li>
                Votre filleul démarre sur le logiciel avec <strong>3 mois offerts</strong>.
            </li>
            <li>
                Pendant les 3 mois offerts de votre filleul, vous obtenez chaque début de mois <strong>une réduction</strong>
                équivalente à <a href="<?= Yii::$app->urlManager->createUrl(['producer/billing']) ?>">la tranche dans laquelle il se situe</a>.
            </li>
        </ul>
    </div>
</div>

<div class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">
            <i class="fa fa-users"></i>
            Vos filleuls
        </h3>
    </div>
    <div class="panel-body">
        <?php if($producersGodsonsArray && count($producersGodsonsArray)): ?>
            <table class="table table-bordered table-striped">
                <thead>
                    <tr>
                        <th>Producteur</th>
                        <th>Date</th>
                    </tr>
                </thead>
                <tbody>
                <?php foreach($producersGodsonsArray as $producerGodson): ?>
                    <tr>
                        <td><?= Html::encode($producerGodson->getName()); ?></td>
                        <td><?= date('d/m/Y', strtotime($producerGodson->date_creation)); ?></td>
                    </tr>
                <?php endforeach; ?>
                </tbody>
            </table>
        <?php else: ?>
            <p>Vous n'avez encore parrainé aucun producteur.</p>
        <?php endif; ?>
    </div>
</div>